Subject: Re: bug#17114: 24.3.50; right box line around image at first row and first column disappears

From: [email-masked]
Date: Fri, 27 Sep 2019 06:27:29 +0900

reopen 17114
quit

> YAMAMOTO Mitsuharu <[email-masked]> writes:
>
>>   1. $ emacs -Q -D &
>>   2. (insert-image (create-image "splash.png")
>>       (propertize " " 'face '(:box (:line-width 5)))) C-j
>>   3. C-p C-f
>>   4. Type C-l several times.
>>
>> Result:
>>
>>   The right box line disappears when the image comes to the first row.
>>   This does not happen if we have an space just before the image.
>
> I'm unable to reproduce this in Emacs 27, so my guess is that this has
> been fixed in the passing years, and I'm closing this bug report.  If
> you're still seeing this problem, please reopen.

I can reproduce it with the latest master with the config below.

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.7.0, X toolkit, Xaw3d
scroll bars)
 of 2019-09-27 built on YAMAMOTOnoMacBook-Pro.local
Repository revision: 648a6b7e912c97f9f4190cfd401274a2a33f31da
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:  Mac OS X 10.14.6

Configured using:
 'configure --without-gnutls --without-ns --with-modules --with-jpeg=no
 --with-gif=no --with-tiff=no PKG_CONFIG=/opt/local/bin/pkg-config
 PKG_CONFIG_PATH=/usr/lib/pkgconfig:/opt/X11/lib/pkgconfig:/usr/local/lib/pkgconfig
 PKG_CONFIG_LIBDIR='

Configured features:
XAW3D XPM PNG NOTIFY KQUEUE ACL LIBXML2 FREETYPE M17N_FLT LIBOTF XFT
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS PDUMPER